Changeset 1299 for ThirdParty/Glpk


Ignore:
Timestamp:
May 2, 2009 6:21:29 PM (10 years ago)
Author:
stefan
Message:

update to glpk 4.38

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1252 r1299  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.37.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.38.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.37.tar.gz
    21 tar xf glpk-4.37.tar
     20gunzip glpk-4.38.tar.gz
     21tar xf glpk-4.38.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.37
     24  glpk-4.38
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1252 r1299  
    3838$(GLPKDIR)/src/glpapi19.c \
    3939$(GLPKDIR)/src/glpapi20.c \
    40 $(GLPKDIR)/src/glpapi21.c \
    4140$(GLPKDIR)/src/glpavl.c \
    4241$(GLPKDIR)/src/glpbfd.c \
     
    9291$(GLPKDIR)/src/glpmpl05.c \
    9392$(GLPKDIR)/src/glpmpl06.c \
    94 $(GLPKDIR)/src/glpmps01.c \
    95 $(GLPKDIR)/src/glpmps02.c \
     93$(GLPKDIR)/src/glpmps.c \
    9694$(GLPKDIR)/src/glpnet01.c \
    9795$(GLPKDIR)/src/glpnet02.c \
     
    10199$(GLPKDIR)/src/glpnet06.c \
    102100$(GLPKDIR)/src/glpnet07.c \
     101$(GLPKDIR)/src/glpnpp01.c \
     102$(GLPKDIR)/src/glpnpp02.c \
    103103$(GLPKDIR)/src/glpqmd.c \
    104104$(GLPKDIR)/src/glprgr.c \
     
    114114$(GLPKDIR)/src/glpsql.c \
    115115$(GLPKDIR)/src/glpssx01.c \
    116 $(GLPKDIR)/src/glpssx02.c
    117 
    118 libcoinglpk_la_DEPENDENCIES = $(srcdir)/$(GLPKDIR)/include/config.h
     116$(GLPKDIR)/src/glpssx02.c \
     117$(GLPKDIR)/src/amd/amd_1.c \
     118$(GLPKDIR)/src/amd/amd_2.c \
     119$(GLPKDIR)/src/amd/amd_aat.c \
     120$(GLPKDIR)/src/amd/amd_control.c \
     121$(GLPKDIR)/src/amd/amd_defaults.c \
     122$(GLPKDIR)/src/amd/amd_dump.c \
     123$(GLPKDIR)/src/amd/amd_info.c \
     124$(GLPKDIR)/src/amd/amd_order.c \
     125$(GLPKDIR)/src/amd/amd_postorder.c \
     126$(GLPKDIR)/src/amd/amd_post_tree.c \
     127$(GLPKDIR)/src/amd/amd_preprocess.c \
     128$(GLPKDIR)/src/amd/amd_valid.c \
     129$(GLPKDIR)/src/colamd/colamd.c
    119130
    120131# CoinUtils and SYMPHONY include glpmpl.h and have HAVE_CONFIG_H defined
    121 # so we put a dummy config.h file into the glpk include directory. At least
    122 # a newline is needed to avoid a bug in Sun Solaris Studio, 64-bit optimised
    123 # build.
     132# so we put a dummy config.h file and required include files into the glpk
     133# include directory. At least a newline is needed to avoid a bug in
     134# Sun Solaris Studio, 64-bit optimised build.
     135libcoinglpk_la_DEPENDENCIES = $(srcdir)/$(GLPKDIR)/include/config.h \
     136  $(srcdir)/$(GLPKDIR)/include/glpmpl.h \
     137  $(srcdir)/$(GLPKDIR)/include/glpavl.h \
     138  $(srcdir)/$(GLPKDIR)/include/glprng.h \
     139  $(srcdir)/$(GLPKDIR)/include/glpdmp.h \
     140  $(srcdir)/$(GLPKDIR)/include/glplib.h \
     141  $(srcdir)/$(GLPKDIR)/include/glpstd.h
     142
    124143$(srcdir)/$(GLPKDIR)/include/config.h :
    125144        echo "" > $(srcdir)/$(GLPKDIR)/include/config.h
    126145
     146$(srcdir)/$(GLPKDIR)/include/glpmpl.h : $(srcdir)/$(GLPKDIR)/src/glpmpl.h
     147        cp $(srcdir)/$(GLPKDIR)/src/glpmpl.h $(srcdir)/$(GLPKDIR)/include/glpmpl.h
     148
     149$(srcdir)/$(GLPKDIR)/include/glpavl.h : $(srcdir)/$(GLPKDIR)/src/glpavl.h
     150        cp $(srcdir)/$(GLPKDIR)/src/glpavl.h $(srcdir)/$(GLPKDIR)/include/glpavl.h
     151
     152$(srcdir)/$(GLPKDIR)/include/glprng.h : $(srcdir)/$(GLPKDIR)/src/glprng.h
     153        cp $(srcdir)/$(GLPKDIR)/src/glprng.h $(srcdir)/$(GLPKDIR)/include/glprng.h
     154
     155$(srcdir)/$(GLPKDIR)/include/glpdmp.h : $(srcdir)/$(GLPKDIR)/src/glpdmp.h
     156        cp $(srcdir)/$(GLPKDIR)/src/glpdmp.h $(srcdir)/$(GLPKDIR)/include/glpdmp.h
     157
     158$(srcdir)/$(GLPKDIR)/include/glplib.h : $(srcdir)/$(GLPKDIR)/src/glplib.h
     159        cp $(srcdir)/$(GLPKDIR)/src/glplib.h $(srcdir)/$(GLPKDIR)/include/glplib.h
     160
     161$(srcdir)/$(GLPKDIR)/include/glpstd.h : $(srcdir)/$(GLPKDIR)/src/glpstd.h
     162        cp $(srcdir)/$(GLPKDIR)/src/glpstd.h $(srcdir)/$(GLPKDIR)/include/glpstd.h
     163
    127164DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    128165
    129 AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` -I$(GLPKDIR)
     166AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` \
     167  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src` \
     168  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/amd` \
     169  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/colamd` \
     170  -I$(GLPKDIR)
    130171
    131172libcoinglpk_la_LDFLAGS = $(LT_LDFLAGS)
  • ThirdParty/Glpk/trunk/Makefile.in

    r1252 r1299  
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7777        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    78         glpapi19.lo glpapi20.lo glpapi21.lo glpavl.lo glpbfd.lo \
    79         glpbfx.lo glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo \
    80         glphbm.lo glpini01.lo glpini02.lo glpios01.lo glpios02.lo \
    81         glpios03.lo glpios04.lo glpios05.lo glpios06.lo glpios07.lo \
    82         glpios08.lo glpios09.lo glpios10.lo glpipm.lo glpipp01.lo \
    83         glpipp02.lo glplib01.lo glplib02.lo glplib03.lo glplib04.lo \
    84         glplib05.lo glplib06.lo glplib07.lo glplib08.lo glplib09.lo \
    85         glplib10.lo glplib11.lo glplib12.lo glplpf.lo glplpp01.lo \
    86         glplpp02.lo glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo \
    87         glplpx05.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
    88         glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo \
    89         glpmps01.lo glpmps02.lo glpnet01.lo glpnet02.lo glpnet03.lo \
    90         glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpqmd.lo \
     78        glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
     79        glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
     80        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
     81        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
     82        glpios09.lo glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo \
     83        glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
     84        glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
     85        glplib11.lo glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo \
     86        glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo \
     87        glpluf.lo glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo \
     88        glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps.lo \
     89        glpnet01.lo glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo \
     90        glpnet06.lo glpnet07.lo glpnpp01.lo glpnpp02.lo glpqmd.lo \
    9191        glprgr.lo glprng01.lo glprng02.lo glpscf.lo glpscg.lo \
    9292        glpscl.lo glpsds.lo glpspm.lo glpspx01.lo glpspx02.lo \
    93         glpsql.lo glpssx01.lo glpssx02.lo
     93        glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo \
     94        amd_control.lo amd_defaults.lo amd_dump.lo amd_info.lo \
     95        amd_order.lo amd_postorder.lo amd_post_tree.lo \
     96        amd_preprocess.lo amd_valid.lo colamd.lo
    9497libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9598@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    279282$(GLPKDIR)/src/glpapi19.c \
    280283$(GLPKDIR)/src/glpapi20.c \
    281 $(GLPKDIR)/src/glpapi21.c \
    282284$(GLPKDIR)/src/glpavl.c \
    283285$(GLPKDIR)/src/glpbfd.c \
     
    333335$(GLPKDIR)/src/glpmpl05.c \
    334336$(GLPKDIR)/src/glpmpl06.c \
    335 $(GLPKDIR)/src/glpmps01.c \
    336 $(GLPKDIR)/src/glpmps02.c \
     337$(GLPKDIR)/src/glpmps.c \
    337338$(GLPKDIR)/src/glpnet01.c \
    338339$(GLPKDIR)/src/glpnet02.c \
     
    342343$(GLPKDIR)/src/glpnet06.c \
    343344$(GLPKDIR)/src/glpnet07.c \
     345$(GLPKDIR)/src/glpnpp01.c \
     346$(GLPKDIR)/src/glpnpp02.c \
    344347$(GLPKDIR)/src/glpqmd.c \
    345348$(GLPKDIR)/src/glprgr.c \
     
    355358$(GLPKDIR)/src/glpsql.c \
    356359$(GLPKDIR)/src/glpssx01.c \
    357 $(GLPKDIR)/src/glpssx02.c
    358 
    359 libcoinglpk_la_DEPENDENCIES = $(srcdir)/$(GLPKDIR)/include/config.h
     360$(GLPKDIR)/src/glpssx02.c \
     361$(GLPKDIR)/src/amd/amd_1.c \
     362$(GLPKDIR)/src/amd/amd_2.c \
     363$(GLPKDIR)/src/amd/amd_aat.c \
     364$(GLPKDIR)/src/amd/amd_control.c \
     365$(GLPKDIR)/src/amd/amd_defaults.c \
     366$(GLPKDIR)/src/amd/amd_dump.c \
     367$(GLPKDIR)/src/amd/amd_info.c \
     368$(GLPKDIR)/src/amd/amd_order.c \
     369$(GLPKDIR)/src/amd/amd_postorder.c \
     370$(GLPKDIR)/src/amd/amd_post_tree.c \
     371$(GLPKDIR)/src/amd/amd_preprocess.c \
     372$(GLPKDIR)/src/amd/amd_valid.c \
     373$(GLPKDIR)/src/colamd/colamd.c
     374
     375
     376# CoinUtils and SYMPHONY include glpmpl.h and have HAVE_CONFIG_H defined
     377# so we put a dummy config.h file and required include files into the glpk
     378# include directory. At least a newline is needed to avoid a bug in
     379# Sun Solaris Studio, 64-bit optimised build.
     380libcoinglpk_la_DEPENDENCIES = $(srcdir)/$(GLPKDIR)/include/config.h \
     381  $(srcdir)/$(GLPKDIR)/include/glpmpl.h \
     382  $(srcdir)/$(GLPKDIR)/include/glpavl.h \
     383  $(srcdir)/$(GLPKDIR)/include/glprng.h \
     384  $(srcdir)/$(GLPKDIR)/include/glpdmp.h \
     385  $(srcdir)/$(GLPKDIR)/include/glplib.h \
     386  $(srcdir)/$(GLPKDIR)/include/glpstd.h
     387
    360388DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    361 AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` -I$(GLPKDIR)
     389AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` \
     390  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src` \
     391  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/amd` \
     392  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/colamd` \
     393  -I$(GLPKDIR)
     394
    362395libcoinglpk_la_LDFLAGS = $(LT_LDFLAGS)
    363396
     
    425458        -rm -f *.tab.c
    426459
     460@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_1.Plo@am__quote@
     461@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_2.Plo@am__quote@
     462@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_aat.Plo@am__quote@
     463@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_control.Plo@am__quote@
     464@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_defaults.Plo@am__quote@
     465@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_dump.Plo@am__quote@
     466@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_info.Plo@am__quote@
     467@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_order.Plo@am__quote@
     468@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_post_tree.Plo@am__quote@
     469@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_postorder.Plo@am__quote@
     470@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_preprocess.Plo@am__quote@
     471@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_valid.Plo@am__quote@
     472@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/colamd.Plo@am__quote@
    427473@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi01.Plo@am__quote@
    428474@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi02.Plo@am__quote@
     
    445491@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
    446492@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    447 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi21.Plo@am__quote@
    448493@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    449494@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    499544@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl05.Plo@am__quote@
    500545@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl06.Plo@am__quote@
    501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps01.Plo@am__quote@
    502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps02.Plo@am__quote@
     546@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps.Plo@am__quote@
    503547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet01.Plo@am__quote@
    504548@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet02.Plo@am__quote@
     
    508552@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet06.Plo@am__quote@
    509553@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
     554@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp01.Plo@am__quote@
     555@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
    510556@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    511557@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    684730@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
    685731
    686 glpapi21.lo: $(GLPKDIR)/src/glpapi21.c
    687 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi21.lo -MD -MP -MF "$(DEPDIR)/glpapi21.Tpo" -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c; \
    688 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi21.Tpo" "$(DEPDIR)/glpapi21.Plo"; else rm -f "$(DEPDIR)/glpapi21.Tpo"; exit 1; fi
    689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi21.c' object='glpapi21.lo' libtool=yes @AMDEPBACKSLASH@
    690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    691 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c
    692 
    693732glpavl.lo: $(GLPKDIR)/src/glpavl.c
    694733@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    10621101@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl06.lo `test -f '$(GLPKDIR)/src/glpmpl06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl06.c
    10631102
    1064 glpmps01.lo: $(GLPKDIR)/src/glpmps01.c
    1065 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmps01.lo -MD -MP -MF "$(DEPDIR)/glpmps01.Tpo" -c -o glpmps01.lo `test -f '$(GLPKDIR)/src/glpmps01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps01.c; \
    1066 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmps01.Tpo" "$(DEPDIR)/glpmps01.Plo"; else rm -f "$(DEPDIR)/glpmps01.Tpo"; exit 1; fi
    1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmps01.c' object='glpmps01.lo' libtool=yes @AMDEPBACKSLASH@
    1068 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1069 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmps01.lo `test -f '$(GLPKDIR)/src/glpmps01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps01.c
    1070 
    1071 glpmps02.lo: $(GLPKDIR)/src/glpmps02.c
    1072 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmps02.lo -MD -MP -MF "$(DEPDIR)/glpmps02.Tpo" -c -o glpmps02.lo `test -f '$(GLPKDIR)/src/glpmps02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps02.c; \
    1073 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmps02.Tpo" "$(DEPDIR)/glpmps02.Plo"; else rm -f "$(DEPDIR)/glpmps02.Tpo"; exit 1; fi
    1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmps02.c' object='glpmps02.lo' libtool=yes @AMDEPBACKSLASH@
    1075 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1076 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmps02.lo `test -f '$(GLPKDIR)/src/glpmps02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps02.c
     1103glpmps.lo: $(GLPKDIR)/src/glpmps.c
     1104@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmps.lo -MD -MP -MF "$(DEPDIR)/glpmps.Tpo" -c -o glpmps.lo `test -f '$(GLPKDIR)/src/glpmps.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps.c; \
     1105@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmps.Tpo" "$(DEPDIR)/glpmps.Plo"; else rm -f "$(DEPDIR)/glpmps.Tpo"; exit 1; fi
     1106@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmps.c' object='glpmps.lo' libtool=yes @AMDEPBACKSLASH@
     1107@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1108@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmps.lo `test -f '$(GLPKDIR)/src/glpmps.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps.c
    10771109
    10781110glpnet01.lo: $(GLPKDIR)/src/glpnet01.c
     
    11251157@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c
    11261158
     1159glpnpp01.lo: $(GLPKDIR)/src/glpnpp01.c
     1160@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp01.lo -MD -MP -MF "$(DEPDIR)/glpnpp01.Tpo" -c -o glpnpp01.lo `test -f '$(GLPKDIR)/src/glpnpp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp01.c; \
     1161@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp01.Tpo" "$(DEPDIR)/glpnpp01.Plo"; else rm -f "$(DEPDIR)/glpnpp01.Tpo"; exit 1; fi
     1162@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp01.c' object='glpnpp01.lo' libtool=yes @AMDEPBACKSLASH@
     1163@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1164@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp01.lo `test -f '$(GLPKDIR)/src/glpnpp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp01.c
     1165
     1166glpnpp02.lo: $(GLPKDIR)/src/glpnpp02.c
     1167@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp02.lo -MD -MP -MF "$(DEPDIR)/glpnpp02.Tpo" -c -o glpnpp02.lo `test -f '$(GLPKDIR)/src/glpnpp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp02.c; \
     1168@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp02.Tpo" "$(DEPDIR)/glpnpp02.Plo"; else rm -f "$(DEPDIR)/glpnpp02.Tpo"; exit 1; fi
     1169@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp02.c' object='glpnpp02.lo' libtool=yes @AMDEPBACKSLASH@
     1170@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1171@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp02.lo `test -f '$(GLPKDIR)/src/glpnpp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp02.c
     1172
    11271173glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    11281174@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    12221268@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    12231269@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpssx02.lo `test -f '$(GLPKDIR)/src/glpssx02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpssx02.c
     1270
     1271amd_1.lo: $(GLPKDIR)/src/amd/amd_1.c
     1272@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_1.lo -MD -MP -MF "$(DEPDIR)/amd_1.Tpo" -c -o amd_1.lo `test -f '$(GLPKDIR)/src/amd/amd_1.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_1.c; \
     1273@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_1.Tpo" "$(DEPDIR)/amd_1.Plo"; else rm -f "$(DEPDIR)/amd_1.Tpo"; exit 1; fi
     1274@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_1.c' object='amd_1.lo' libtool=yes @AMDEPBACKSLASH@
     1275@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1276@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_1.lo `test -f '$(GLPKDIR)/src/amd/amd_1.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_1.c
     1277
     1278amd_2.lo: $(GLPKDIR)/src/amd/amd_2.c
     1279@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_2.lo -MD -MP -MF "$(DEPDIR)/amd_2.Tpo" -c -o amd_2.lo `test -f '$(GLPKDIR)/src/amd/amd_2.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_2.c; \
     1280@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_2.Tpo" "$(DEPDIR)/amd_2.Plo"; else rm -f "$(DEPDIR)/amd_2.Tpo"; exit 1; fi
     1281@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_2.c' object='amd_2.lo' libtool=yes @AMDEPBACKSLASH@
     1282@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1283@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_2.lo `test -f '$(GLPKDIR)/src/amd/amd_2.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_2.c
     1284
     1285amd_aat.lo: $(GLPKDIR)/src/amd/amd_aat.c
     1286@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_aat.lo -MD -MP -MF "$(DEPDIR)/amd_aat.Tpo" -c -o amd_aat.lo `test -f '$(GLPKDIR)/src/amd/amd_aat.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_aat.c; \
     1287@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_aat.Tpo" "$(DEPDIR)/amd_aat.Plo"; else rm -f "$(DEPDIR)/amd_aat.Tpo"; exit 1; fi
     1288@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_aat.c' object='amd_aat.lo' libtool=yes @AMDEPBACKSLASH@
     1289@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1290@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_aat.lo `test -f '$(GLPKDIR)/src/amd/amd_aat.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_aat.c
     1291
     1292amd_control.lo: $(GLPKDIR)/src/amd/amd_control.c
     1293@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_control.lo -MD -MP -MF "$(DEPDIR)/amd_control.Tpo" -c -o amd_control.lo `test -f '$(GLPKDIR)/src/amd/amd_control.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_control.c; \
     1294@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_control.Tpo" "$(DEPDIR)/amd_control.Plo"; else rm -f "$(DEPDIR)/amd_control.Tpo"; exit 1; fi
     1295@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_control.c' object='amd_control.lo' libtool=yes @AMDEPBACKSLASH@
     1296@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1297@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_control.lo `test -f '$(GLPKDIR)/src/amd/amd_control.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_control.c
     1298
     1299amd_defaults.lo: $(GLPKDIR)/src/amd/amd_defaults.c
     1300@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_defaults.lo -MD -MP -MF "$(DEPDIR)/amd_defaults.Tpo" -c -o amd_defaults.lo `test -f '$(GLPKDIR)/src/amd/amd_defaults.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_defaults.c; \
     1301@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_defaults.Tpo" "$(DEPDIR)/amd_defaults.Plo"; else rm -f "$(DEPDIR)/amd_defaults.Tpo"; exit 1; fi
     1302@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_defaults.c' object='amd_defaults.lo' libtool=yes @AMDEPBACKSLASH@
     1303@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1304@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_defaults.lo `test -f '$(GLPKDIR)/src/amd/amd_defaults.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_defaults.c
     1305
     1306amd_dump.lo: $(GLPKDIR)/src/amd/amd_dump.c
     1307@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_dump.lo -MD -MP -MF "$(DEPDIR)/amd_dump.Tpo" -c -o amd_dump.lo `test -f '$(GLPKDIR)/src/amd/amd_dump.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_dump.c; \
     1308@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_dump.Tpo" "$(DEPDIR)/amd_dump.Plo"; else rm -f "$(DEPDIR)/amd_dump.Tpo"; exit 1; fi
     1309@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_dump.c' object='amd_dump.lo' libtool=yes @AMDEPBACKSLASH@
     1310@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1311@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_dump.lo `test -f '$(GLPKDIR)/src/amd/amd_dump.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_dump.c
     1312
     1313amd_info.lo: $(GLPKDIR)/src/amd/amd_info.c
     1314@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_info.lo -MD -MP -MF "$(DEPDIR)/amd_info.Tpo" -c -o amd_info.lo `test -f '$(GLPKDIR)/src/amd/amd_info.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_info.c; \
     1315@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_info.Tpo" "$(DEPDIR)/amd_info.Plo"; else rm -f "$(DEPDIR)/amd_info.Tpo"; exit 1; fi
     1316@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_info.c' object='amd_info.lo' libtool=yes @AMDEPBACKSLASH@
     1317@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1318@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_info.lo `test -f '$(GLPKDIR)/src/amd/amd_info.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_info.c
     1319
     1320amd_order.lo: $(GLPKDIR)/src/amd/amd_order.c
     1321@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_order.lo -MD -MP -MF "$(DEPDIR)/amd_order.Tpo" -c -o amd_order.lo `test -f '$(GLPKDIR)/src/amd/amd_order.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_order.c; \
     1322@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_order.Tpo" "$(DEPDIR)/amd_order.Plo"; else rm -f "$(DEPDIR)/amd_order.Tpo"; exit 1; fi
     1323@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_order.c' object='amd_order.lo' libtool=yes @AMDEPBACKSLASH@
     1324@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1325@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_order.lo `test -f '$(GLPKDIR)/src/amd/amd_order.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_order.c
     1326
     1327amd_postorder.lo: $(GLPKDIR)/src/amd/amd_postorder.c
     1328@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_postorder.lo -MD -MP -MF "$(DEPDIR)/amd_postorder.Tpo" -c -o amd_postorder.lo `test -f '$(GLPKDIR)/src/amd/amd_postorder.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_postorder.c; \
     1329@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_postorder.Tpo" "$(DEPDIR)/amd_postorder.Plo"; else rm -f "$(DEPDIR)/amd_postorder.Tpo"; exit 1; fi
     1330@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_postorder.c' object='amd_postorder.lo' libtool=yes @AMDEPBACKSLASH@
     1331@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1332@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_postorder.lo `test -f '$(GLPKDIR)/src/amd/amd_postorder.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_postorder.c
     1333
     1334amd_post_tree.lo: $(GLPKDIR)/src/amd/amd_post_tree.c
     1335@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_post_tree.lo -MD -MP -MF "$(DEPDIR)/amd_post_tree.Tpo" -c -o amd_post_tree.lo `test -f '$(GLPKDIR)/src/amd/amd_post_tree.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_post_tree.c; \
     1336@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_post_tree.Tpo" "$(DEPDIR)/amd_post_tree.Plo"; else rm -f "$(DEPDIR)/amd_post_tree.Tpo"; exit 1; fi
     1337@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_post_tree.c' object='amd_post_tree.lo' libtool=yes @AMDEPBACKSLASH@
     1338@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1339@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_post_tree.lo `test -f '$(GLPKDIR)/src/amd/amd_post_tree.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_post_tree.c
     1340
     1341amd_preprocess.lo: $(GLPKDIR)/src/amd/amd_preprocess.c
     1342@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_preprocess.lo -MD -MP -MF "$(DEPDIR)/amd_preprocess.Tpo" -c -o amd_preprocess.lo `test -f '$(GLPKDIR)/src/amd/amd_preprocess.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_preprocess.c; \
     1343@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_preprocess.Tpo" "$(DEPDIR)/amd_preprocess.Plo"; else rm -f "$(DEPDIR)/amd_preprocess.Tpo"; exit 1; fi
     1344@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_preprocess.c' object='amd_preprocess.lo' libtool=yes @AMDEPBACKSLASH@
     1345@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1346@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_preprocess.lo `test -f '$(GLPKDIR)/src/amd/amd_preprocess.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_preprocess.c
     1347
     1348amd_valid.lo: $(GLPKDIR)/src/amd/amd_valid.c
     1349@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT amd_valid.lo -MD -MP -MF "$(DEPDIR)/amd_valid.Tpo" -c -o amd_valid.lo `test -f '$(GLPKDIR)/src/amd/amd_valid.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_valid.c; \
     1350@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/amd_valid.Tpo" "$(DEPDIR)/amd_valid.Plo"; else rm -f "$(DEPDIR)/amd_valid.Tpo"; exit 1; fi
     1351@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/amd/amd_valid.c' object='amd_valid.lo' libtool=yes @AMDEPBACKSLASH@
     1352@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1353@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o amd_valid.lo `test -f '$(GLPKDIR)/src/amd/amd_valid.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/amd/amd_valid.c
     1354
     1355colamd.lo: $(GLPKDIR)/src/colamd/colamd.c
     1356@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT colamd.lo -MD -MP -MF "$(DEPDIR)/colamd.Tpo" -c -o colamd.lo `test -f '$(GLPKDIR)/src/colamd/colamd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/colamd/colamd.c; \
     1357@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/colamd.Tpo" "$(DEPDIR)/colamd.Plo"; else rm -f "$(DEPDIR)/colamd.Tpo"; exit 1; fi
     1358@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/colamd/colamd.c' object='colamd.lo' libtool=yes @AMDEPBACKSLASH@
     1359@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1360@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o colamd.lo `test -f '$(GLPKDIR)/src/colamd/colamd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/colamd/colamd.c
    12241361
    12251362mostlyclean-libtool:
     
    15061643
    15071644
    1508 # CoinUtils and SYMPHONY include glpmpl.h and have HAVE_CONFIG_H defined
    1509 # so we put a dummy config.h file into the glpk include directory. At least
    1510 # a newline is needed to avoid a bug in Sun Solaris Studio, 64-bit optimised
    1511 # build.
    15121645$(srcdir)/$(GLPKDIR)/include/config.h :
    15131646        echo "" > $(srcdir)/$(GLPKDIR)/include/config.h
     1647
     1648$(srcdir)/$(GLPKDIR)/include/glpmpl.h : $(srcdir)/$(GLPKDIR)/src/glpmpl.h
     1649        cp $(srcdir)/$(GLPKDIR)/src/glpmpl.h $(srcdir)/$(GLPKDIR)/include/glpmpl.h
     1650
     1651$(srcdir)/$(GLPKDIR)/include/glpavl.h : $(srcdir)/$(GLPKDIR)/src/glpavl.h
     1652        cp $(srcdir)/$(GLPKDIR)/src/glpavl.h $(srcdir)/$(GLPKDIR)/include/glpavl.h
     1653
     1654$(srcdir)/$(GLPKDIR)/include/glprng.h : $(srcdir)/$(GLPKDIR)/src/glprng.h
     1655        cp $(srcdir)/$(GLPKDIR)/src/glprng.h $(srcdir)/$(GLPKDIR)/include/glprng.h
     1656
     1657$(srcdir)/$(GLPKDIR)/include/glpdmp.h : $(srcdir)/$(GLPKDIR)/src/glpdmp.h
     1658        cp $(srcdir)/$(GLPKDIR)/src/glpdmp.h $(srcdir)/$(GLPKDIR)/include/glpdmp.h
     1659
     1660$(srcdir)/$(GLPKDIR)/include/glplib.h : $(srcdir)/$(GLPKDIR)/src/glplib.h
     1661        cp $(srcdir)/$(GLPKDIR)/src/glplib.h $(srcdir)/$(GLPKDIR)/include/glplib.h
     1662
     1663$(srcdir)/$(GLPKDIR)/include/glpstd.h : $(srcdir)/$(GLPKDIR)/src/glpstd.h
     1664        cp $(srcdir)/$(GLPKDIR)/src/glpstd.h $(srcdir)/$(GLPKDIR)/include/glpstd.h
    15141665
    15151666install-doc: $(DocFiles)
  • ThirdParty/Glpk/trunk/configure

    r1252 r1299  
    2008020080  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120081echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 37 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK\"" >&2;}
     20082  if test $majorver != 4 || test $minorver != 38 ; then
     20083    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&5
     20084echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&2;}
    2008520085   { (exit 1); exit 1; }; }
    2008620086  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1252 r1299  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 37 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK"])
     76  if test $majorver != 4 || test $minorver != 38 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1252 r1299  
    22
    33set -e
    4 glpk_ver=4.37
     4glpk_ver=4.38
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.